org.apache.lucene.analysis.icu

## Class ICUNormalizer2FilterFactory

- java.lang.Object
- - org.apache.lucene.analysis.util.AbstractAnalysisFactory
  - - org.apache.lucene.analysis.util.TokenFilterFactory
    - - org.apache.lucene.analysis.icu.ICUNormalizer2FilterFactory

-     public class ICUNormalizer2FilterFactory
      extends TokenFilterFactory

  Factory for `ICUNormalizer2Filter`

  Supports the following attributes:

  - name: A Unicode Normalization Form, one of 'nfc','nfkc', 'nfkc_cf'. Default is nfkc_cf.
  - mode: Either 'compose' or 'decompose'. Default is compose. Use "decompose" with nfc or nfkc, to get nfd or nfkd, respectively.
  - filter: A `UnicodeSet` pattern. Codepoints outside the set are always left unchanged. Default is [] (the null set, no filtering).
  Since:
    3.1.0
  See Also:
    `ICUNormalizer2Filter`, `Normalizer2`, `FilteredNormalizer2`
  SPI Name (Note: This is case-insensitive. e.g., if the name is 'htmlStrip', 'htmlstrip' can be used when looking up the service):
    "icuNormalizer2"

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `NAME` SPI name

    - ### Fields inherited from class org.apache.lucene.analysis.util.AbstractAnalysisFactory

      `LUCENE_MATCH_VERSION_PARAM, luceneMatchVersion`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ICUNormalizer2FilterFactory(Map<String,String> args)` Creates a new ICUNormalizer2FilterFactory

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `TokenStream` | `create(TokenStream input)`
    `TokenStream` | `normalize(TokenStream input)`

    - ### Methods inherited from class org.apache.lucene.analysis.util.TokenFilterFactory

      `availableTokenFilters, findSPIName, forName, lookupClass, reloadTokenFilters`

    - ### Methods inherited from class org.apache.lucene.analysis.util.AbstractAnalysisFactory

      `get, get, get, get, get, getBoolean, getChar, getClassArg, getFloat, getInt, getLines, getLuceneMatchVersion, getOriginalArgs, getPattern, getSet, getSnowballWordSet, getWordSet, isExplicitLuceneMatchVersion, require, require, require, requireBoolean, requireChar, requireFloat, requireInt, setExplicitLuceneMatchVersion, splitAt, splitFileNames`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NAME

          public static final String NAME

      SPI name
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ICUNormalizer2FilterFactory

          public ICUNormalizer2FilterFactory(Map<String,String> args)

      Creates a new ICUNormalizer2FilterFactory

  - ### Method Detail

    - #### create

          public TokenStream create(TokenStream input)

      Specified by:
        `create` in class `TokenFilterFactory`

    - #### normalize

          public TokenStream normalize(TokenStream input)

      Overrides:
        `normalize` in class `TokenFilterFactory`

Copyright © 2000-2021 Apache Software Foundation. All Rights Reserved.